import { defineComponent as d, mergeModels as r, useModel as i, computed as m, createBlock as s, openBlock as u, unref as c, mergeProps as f } from "vue";
import { c as y } from "./start-BYfL32Oe.mjs";
import "vue-i18n";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const h = /* @__PURE__ */ d({
  __name: "SettingCheckbox",
  props: /* @__PURE__ */ r({
    modelValue: {},
    data: {},
    options: {},
    settings: {},
    loading: { type: Boolean },
    readonly: { type: Boolean },
    isDefault: { type: Boolean }
  }, {
    modelValue: { type: Boolean },
    modelModifiers: {},
    valid: { type: Boolean, default: !0 },
    validModifiers: {}
  }),
  emits: ["update:modelValue", "update:valid"],
  setup(t) {
    const e = t, n = i(t, "modelValue");
    i(t, "valid");
    const p = m(() => {
      var a, o, l;
      return {
        label: (a = e.options) == null ? void 0 : a.label,
        hint: (o = e.options) == null ? void 0 : o.helperText,
        persistentHint: !!((l = e.options) != null && l.helperText),
        readonly: e.readonly,
        loading: e.loading
      };
    });
    return (a, o) => (u(), s(c(y), f({
      modelValue: n.value,
      "onUpdate:modelValue": o[0] || (o[0] = (l) => n.value = l)
    }, p.value), null, 16, ["modelValue"]));
  }
});
export {
  h as _
};
